package kr.co.zumo.app.lifeplus.model;

import android.support.v7.app.AppCompatActivity;

import org.junit.Test;
import org.robolectric.annotation.Config;

import kr.co.zumo.app.BuildConfig;

/**
 * ModelProviderTest
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018-10-09]   [최초 작성]
 * @since 2018-10-09
 */
@Config(constants = BuildConfig.class, sdk = 19)
//@RunWith(RobolectricTestRunner.class)
public class ModelProviderTest {

  @Test
  public void getModel() {

    /**
     * todo android framework 에 의존도가 높아서 테스트 불가, 안드로이드 테스트로 실행 요망
     */

//    TestActivity activity = mock(TestActivity.class);
//    when(activity.getApplication()).thenReturn(new Application());
//
//    TestModel testModel = ModelProvider.getModel(activity, TestModel.class);
//
//    assertTrue(testModel != null);
  }

  @Test
  public void clearModel() {
  }

  public class TestActivity extends AppCompatActivity {

  }

  public class TestModel extends Model {

    @Override
    protected void destroyInternal() {
    }

    @Override
    protected void startInternal() {
    }

    @Override
    protected void stopInternal() {
    }

    @Override
    protected void resumeInternal() {
    }

    @Override
    protected void pauseInternal() {
    }
  }
}